#!/bin/bash

ROOT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

pushd "${ROOT_DIR}"

docker build -t webhibiki_builder -f docker/Dockerfile .

mkdir output 2>/dev/null

docker run -it --rm --volume "${ROOT_DIR}/src:/src/dist:ro" --volume "${ROOT_DIR}/output:/output:rw" webhibiki_builder
docker run -it --rm --volume "${ROOT_DIR}/src:/src/dist:ro" --volume "${ROOT_DIR}/output:/output:rw" webhibiki_builder "-msimd128 -msse -msse2 -msse3 -mavx" "webhibiki.simd"